org.apache.commons.math3.optimization

## Interface MultivariateDifferentiableVectorOptimizer

- All Superinterfaces:
    BaseMultivariateVectorOptimizer<MultivariateDifferentiableVectorFunction>, BaseOptimizer<PointVectorValuePair>
  All Known Implementing Classes:
    MultivariateDifferentiableVectorMultiStartOptimizer

  Deprecated.
  As of 3.1 (to be removed in 4.0).

      @Deprecated
      public interface MultivariateDifferentiableVectorOptimizer
      extends BaseMultivariateVectorOptimizer<MultivariateDifferentiableVectorFunction>

  This interface represents an optimization algorithm for `differentiable vectorial objective functions`.
  Since:
    3.1
  Version:
    $Id: MultivariateDifferentiableVectorOptimizer.java 1422230 2012-12-15 12:11:13Z erans $

- - ### Method Summary

    - ### Methods inherited from interface org.apache.commons.math3.optimization.BaseMultivariateVectorOptimizer

      `optimize`

    - ### Methods inherited from interface org.apache.commons.math3.optimization.BaseOptimizer

      `getConvergenceChecker, getEvaluations, getMaxEvaluations`

Copyright (c) 2003-2013 Apache Software Foundation